Skala
Contacts

List all contacts

Fetches a complete list of contact records available in the system.

GET
/api/contacts

Fetches a complete list of contact records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

id?integer
id[]?array<>
name?string
code?string
email?string
phoneNumber?string
discountRate?string
process.id?integer
process.id[]?array<>
order[id]?string
Default"asc"
Value in"asc" | "desc"
order[name]?string
Default"asc"
Value in"asc" | "desc"
regexp_type?string

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/contacts"
[
  {
    "id": 0,
    "name": "string",
    "email": "string",
    "phoneNumber": "string",
    "comment": "string",
    "type": "string",
    "address": {
      "id": 0,
      "country": {
        "id": 0,
        "name": "string"
      },
      "body": "string"
    },
    "code": "string",
    "discountRate": "string",
    "taxOffice": "string",
    "taxId": "string"
  }
]